Skip to content

Retrieves a customer by ID

Request

GET {{baseURL}}/pay-api/v1/customers/{{customerId}}

This endpoint retrieves the specified customer.

See Also:
To list customers, see GET /pay-api/v1/customers.
To create a customer, see POST /pay-api/v1/customers.
To update a customer's information, see PUT /pay-api/v1/customers/{customerId}.
To delete a customer, see DELETE /pay-api/v1/customers/{customerId}.

Security
Bearer
Path
customerIdstring, (uuid)required

Specifies the customerId, also known as the customer identifier.

Example:c4b210e9-be39-4ebc-8195-0c422de87f90
curl -i -X GET \
  https://developer.flute.com/_mock/api-reference/pay-api/v1/customers/c4b210e9-be39-4ebc-8195-0c422de87f90 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
idstring, (uuid)

Customer Id

merchantIdstring, (uuid)

Indicates the identifier of the merchant.

Example: 46063d32-10fa-44cb-b118-20ddd085ce3f

Example:"46063d32-10fa-44cb-b118-20ddd085ce3f"
firstNamestring or null

Indicates the customer's first name.

Example: Alexandro

Example:"Alexandro"
lastNamestring

Indicates the customer's last name.

Example: Peppared

Example:"Peppared"
companyNamestring or null

Indicates the name of the customer's company or organization.

Example: Peppared Street Cafe

Example:"Peppared Street Cafe"
emailstring or null

Indicates the customer's email.

Example: pepparedstreetcafe@example.com

Example:"pepparedstreetcafe@example.com"
mobilePhoneNumberstring or null, (E.164), <= 20 characters^(null|\+\d{1,20})$

Indicates the customer's mobile phone number.

Example: +14155552309

Example:"+14155552309"
isMobileNumberSmsNotificationsEnabledboolean

Indicates the customer's SMS notification is enabled.

If true, the customer's SMS notification is enabled.
If false, the customer's SMS notification is not enabled.
If missing or omitted, the information is not available.

Example: true

useBillingAsShippingAddressboolean

Indicates to use the billing address as the shipping address.

If true, use the billing address as the shipping address.
If false, do not use the billing address as the shipping address. Instead, use the field shippingAddress.

Example: true

Example:true
defaultPaymentMethodIdstring or null, (uuid)

Default payment method Id

defaultAchPaymentMethodIdstring or null, (uuid)

Default payment method identifier.

createdOnstring, (date-time)

Indicates the date the customer was created on (in an ISO 8601 date-time UTC format).

Examples: 2025-01-27T12:05:54.322587Z

Example:"2025-01-27T12:05:54.322587Z"
modifiedOnstring, (date-time)

Indicates the date the customer information was last modified on (in an ISO 8601 date-time UTC format).

Examples: 2025-01-27T12:05:54.322587Z

Example:"2025-01-27T12:05:54.322587Z"
billingAddressobject

Indicates the customer's address.

shippingAddressobject

Indicates the customer's address.

lastTransactionDatestring or null, (date-time)

Indicates the last transaction date (in an ISO 8601 date-time UTC format).

Examples: 2025-01-27T12:05:54.322587Z

Example:"2025-01-27T12:05:54.322587Z"
transactionsCountinteger, (int32)

Transactions count

transactionsVolumenumber, (double)

Transactions volume

lastTransactionAmountnumber or null, (double)

Last transaction amount

numberOfSubscriptionsinteger, (int32)

Count of active subscriptions

cardsArray of objects or null

Payment methods

achAccountsArray of objects or null

ACH bank account payment methods.

Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "merchantId": "46063d32-10fa-44cb-b118-20ddd085ce3f", "firstName": "Alexandro", "lastName": "Peppared", "companyName": "Peppared Street Cafe", "email": "pepparedstreetcafe@example.com", "mobilePhoneNumber": "+14155552309", "isMobileNumberSmsNotificationsEnabled": true, "useBillingAsShippingAddress": true, "defaultPaymentMethodId": "10098869-575b-49ae-a0bc-197f04f0018a", "defaultAchPaymentMethodId": "d193eb46-976d-4274-b4e4-18dbd12acd3a", "createdOn": "2025-01-27T12:05:54.322587Z", "modifiedOn": "2025-01-27T12:05:54.322587Z", "billingAddress": { "addressLine1": "21 E. Main Street", "addressLine2": "Office 3", "city": "Chicago", "zip": "60612", "stateName": "Illinois", "state": { "id": 0, "code": "IL", "name": "Illinois" }, "country": { "id": 1, "isoCode": "US", "name": "United States" } }, "shippingAddress": { "addressLine1": "21 E. Main Street", "addressLine2": "Office 3", "city": "Chicago", "zip": "60612", "stateName": "Illinois", "state": { "id": 0, "code": "IL", "name": "Illinois" }, "country": { "id": 1, "isoCode": "US", "name": "United States" } }, "lastTransactionDate": "2025-01-27T12:05:54.322587Z", "transactionsCount": 0, "transactionsVolume": 0.1, "lastTransactionAmount": 0.1, "numberOfSubscriptions": 0, "cards": [ { "id": "db02ec6c-2e5a-4b87-98a0-8dd881707d84", "name": "string", "isDefault": true, "panMask": "4111********1234", "expirationMonth": 7, "expirationYear": 2032, "cardTokenType": 2, "cardType": 1, "creditDebitType": 1 } ], "achAccounts": [ { "id": "db02ec6c-2e5a-4b87-98a0-8dd881707d84", "name": "string", "isDefault": true, "accountNumber": "5413591081013511", "routingNumber": "026009593", "accountTypeId": 1, "accountType": "Checking", "accountHolderTypeId": 1, "accountHolderType": "Business", "taxId": "98-7654321" } ] }